Bug 735311 - Update to gdm-3.1.90-1 and/or gdm-plugin-fingerprint-3.1.90-1 break the gdm login to gnome
Summary: Update to gdm-3.1.90-1 and/or gdm-plugin-fingerprint-3.1.90-1 break the gdm l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 09:35 UTC by Joachim Backes
Modified: 2011-11-10 23:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-10 23:11:50 UTC


Attachments (Terms of Use)
Session log from gnome login attempt (12.04 KB, application/octet-stream)
2011-09-02 20:46 UTC, Barry Fishman
no flags Details

Description Joachim Backes 2011-09-02 09:35:26 UTC
Description of problem:
after having updated to gdm-3.1.90-1 and gdm-plugin-fingerprint-3.1.90-1 
the login to a gnome-shell session fails (error: "Oh no! Something has gone wrong").

Disabling the gnome-shell-extensions (as proposed) is useless in this 
situation.

After having downgraded the two packages to

gdm-3.1.2-5.fc16.x86_64 and
gdm-plugin-fingerprint-3.1.2-5.fc16.x86_64

all is OK again.

Version-Release number of selected component (if applicable):

gdm-3.1.2-5.fc16.x86_64
gdm-plugin-fingerprint-3.1.2-5.fc16.x86_64


How reproducible:
always

Steps to Reproduce:
1.Update gdm*
2.try to login to a gnome-shell session
3.
  
Actual results:
error: "Oh no! Something has gone wrong"

Expected results:
login is performed

Additional info:

Comment 1 Barry Fishman 2011-09-02 20:46:58 UTC
Created attachment 521285 [details]
Session log from gnome login attempt

I am having the same problem.  I can not login to icewm either, where the .xsession-errors gives:

icewm-session: using /home2/barry/.icewm for private configuration files
IceWM: using /home2/barry/.icewm for private configuration files
icewmtray: using /home2/barry/.icewm for private configuration files
IceWM: A window manager is already running, use --replace to replace it

Also if I drop to init level 3 (the only way I know to kill gdm)  I can login in the console and do a 'startx', which will bring up gnome, but uses the fallback mode.  Before the upgrade gnome-shell ran in normal mode.


I

Comment 2 sangu 2011-09-03 01:39:58 UTC
Please see bug 735252 
Maybe, duplicated bug?

Comment 3 Skippy 2011-11-10 22:14:33 UTC
See also Bug 741075.

Comment 4 Adam Williamson 2011-11-10 23:11:50 UTC
I'm fairly sure this was fixed along the way, joachim, please re-open if you still have trouble.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.